Skip to main content
GET
/
pension-calculation
/
by-year
/
{year}
/
by-month
/
{month}
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v2/pension/pension-calculation/by-year/{year}/by-month/{month}
{
  "content": {
    "data": [
      {
        "employeeId": "<string>",
        "frequency": "<string>",
        "year": 123,
        "period": 123,
        "payrollConfigId": "<string>",
        "organisationId": "<string>",
        "employeeAmount": 123,
        "employerAmount": 123,
        "periodStart": "2023-12-25",
        "periodEnd": "2023-12-25",
        "nationalInsuranceNumber": "<string>",
        "externalReferenceId": "<string>",
        "pensionProviderId": "<string>"
      }
    ],
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

year
integer<int32>
required
month
integer<int32>
required

Response

200 - application/json

OK

content
object
metadata
object
errors
object[] | null
message
object